org.h2.command.ddl

## Class CreateIndex

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.CreateIndex

    public class CreateIndex
    extends SchemaCommand

This class represents the statement CREATE INDEX

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`CreateIndex(SessionLocal session, Schema schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setComment(java.lang.String comment)`
`void` `setHash(boolean b)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setIfTableExists(boolean b)`
`void` `setIndexColumns(IndexColumn[] columns)`
`void` `setIndexName(java.lang.String indexName)`
`void` `setPrimaryKey(boolean b)`
`void` `setSpatial(boolean b)`
`void` `setTableName(java.lang.String tableName)`
`void` `setUniqueColumnCount(int uniqueColumnCount)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateIndex

    public CreateIndex(SessionLocal session,
                       Schema schema)

### Method Detail

#### setIfTableExists

    public void setIfTableExists(boolean b)

#### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

#### setTableName

    public void setTableName(java.lang.String tableName)

#### setIndexName

    public void setIndexName(java.lang.String indexName)

#### setIndexColumns

    public void setIndexColumns(IndexColumn[] columns)

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setPrimaryKey

    public void setPrimaryKey(boolean b)

#### setUniqueColumnCount

    public void setUniqueColumnCount(int uniqueColumnCount)

#### setHash

    public void setHash(boolean b)

#### setSpatial

    public void setSpatial(boolean b)

#### setComment

    public void setComment(java.lang.String comment)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type